.nav{
  display: flex;
  flex-direction: column;
  align-items: start;
  padding: 20px;
  gap: 10px;
  border-right: 2px solid var(--border-color);
  min-height: 100vh;
  width: 100%;

  ul {
    margin-top: 40px;
    flex-direction: column;
    display: inherit;
    gap: 35px;

    li {
      list-style-type: none;

      a {
        position: relative;

        &:before {
          content: '';
          background: var(--primary-color);
          display: block;
          position: absolute;
          bottom: -3px;
          left: 0;
          width: 0;
          height: 3px;
          transition: all 0.2s ease-in-out;
        }

        &:hover::before {
          width: 100%;
        }
      }
    }
  }
}